From e0128485810ec0b8696a84e75dbb2ac27de09ca4 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 15 Feb 2012 10:07:45 -0600
Subject: Quick edit considers manual item rawgrade

---
 grade/report/quick_edit/classes/uilib.php |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/grade/report/quick_edit/classes/uilib.php b/grade/report/quick_edit/classes/uilib.php
index e64b148..98c8a80 100644
--- a/grade/report/quick_edit/classes/uilib.php
+++ b/grade/report/quick_edit/classes/uilib.php
@@ -216,9 +216,11 @@ class quick_edit_finalgrade_ui extends quick_edit_grade_attribute_format impleme
     var $name = 'finalgrade';
 
     function get_value() {
-        return $this->grade->finalgrade ?
-            format_float($this->grade->finalgrade, $this->grade->grade_item->get_decimals()) :
-            '';
+        // Manual item raw grade support
+        $val = $this->grade->grade_item->is_manual_item() ?
+            $this->grade->rawgrade : $this->grade->finalgrade;
+
+        return $val ? format_float($val, $this->grade->grade_item->get_decimals()) : '';
     }
 
     function is_disabled() {
-- 
1.7.1

